# Issue a one-time password to verify a beneficiary batch

Starts the verification process for updating the beneficiaries batch in which a one-time password is sent to a device belonging to the logged-in user that was previously enrolled through the /authentication_factors/otp/{channel} endpoint.

You should only start this process if the beneficiary update state is PENDING_CHALLENGE.

_Note that on the Sandbox Environment, text messages are not sent and the one-time-password is always \"123456\"._

Endpoint: POST /beneficiaries/batch/{id}/challenges/otp/{channel}
Version: v3
Security: auth_token, api-key

## Path parameters:

  - `id` (string, required)
    The unique identifier of the Beneficiary Batch Operation.

  - `channel` (string, required)
    The unique identifier for the channel.
    Enum: "SMS"

## Response 400 fields (application/json):

  - `message` (string)
    When present helps to identify and fix the problem.

  - `syntaxErrors` (object)
    Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided.

  - `syntaxErrors.invalidFields` (array)

  - `syntaxErrors.invalidFields.params` (array)

  - `syntaxErrors.invalidFields.fieldName` (string)

  - `syntaxErrors.invalidFields.error` (string)
    Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE"

## Response 405 fields (application/json):

  - `code` (string)

  - `message` (string)

## Response 409 fields (application/json):

  - `errorCode` (string)
    Error codes:
  * STATE_INVALID - The operation no longer requires additional verification, it was either cancelled or completed.
  * CHANNEL_NOT_SUPPORTED - The channel selected cannot be used to verify this type of operation.
  * CHANNEL_NOT_REGISTERED - The channel selected must be enrolled to receive one-time passwords before it can be used to verify this type of operation.
    Enum: "STATE_INVALID", "CHANNEL_NOT_SUPPORTED", "CHANNEL_NOT_REGISTERED"

## Response default fields (application/json):

  - `code` (string)

  - `message` (string)


## Response 204 fields

## Response 401 fields

## Response 403 fields

## Response 429 fields

## Response 500 fields

## Response 503 fields
